org.appng.api

## Class ValidationMessages

- java.lang.Object
- - org.appng.api.ValidationMessages

-     public class ValidationMessages
      extends Object

  Utility class providing constants for the message-keys used in validation-annotations.
  Author:
    Matthias Müller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `VALIDATION_EMAIL` Message: 'Please enter a valid e-mail address'
    `static String` | `VALIDATION_FILE_INVALID` Message: 'Please upload a file of the following types: {fileTypes}'
    `static String` | `VALIDATION_FILE_INVALID_SIZE` Message: 'Please upload a file (max.
    `static String` | `VALIDATION_FILES_INVALID` Message: 'Please upload {minCount} to {maxCount} files of the following types: {fileTypes}'
    `static String` | `VALIDATION_FILES_INVALID_SIZE` Message: 'Please upload {minCount} to {maxCount} files (max.
    `static String` | `VALIDATION_MAX` Message: 'Value must be less than or equal to {value}'
    `static String` | `VALIDATION_MIN` Message: 'Value must be greater than or equal to {value}'
    `static String` | `VALIDATION_NO_SELECTION` Message: 'Please make a selection'
    `static String` | `VALIDATION_NOT_NULL` Message: 'Field must not be empty'
    `static String` | `VALIDATION_STRING_LENGTH` Message: 'Enter {max} characters'
    `static String` | `VALIDATION_STRING_MAX` Message: 'Enter at most {max} characters'
    `static String` | `VALIDATION_STRING_MIN` Message: 'Enter at least {min} characters'
    `static String` | `VALIDATION_STRING_MIN_MAX` Message: 'Enter between {min} and {max} characters'

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VALIDATION_STRING_MIN

          public static final String VALIDATION_STRING_MIN

      Message: 'Enter at least {min} characters'
      See Also:
        `Size`, Constant Field Values

    - #### VALIDATION_STRING_MAX

          public static final String VALIDATION_STRING_MAX

      Message: 'Enter at most {max} characters'
      See Also:
        `Size`, Constant Field Values

    - #### VALIDATION_STRING_LENGTH

          public static final String VALIDATION_STRING_LENGTH

      Message: 'Enter {max} characters'
      See Also:
        `Size`, Constant Field Values

    - #### VALIDATION_STRING_MIN_MAX

          public static final String VALIDATION_STRING_MIN_MAX

      Message: 'Enter between {min} and {max} characters'
      See Also:
        `Size`, Constant Field Values

    - #### VALIDATION_NO_SELECTION

          public static final String VALIDATION_NO_SELECTION

      Message: 'Please make a selection'
      See Also:
        Constant Field Values

    - #### VALIDATION_FILE_INVALID

          public static final String VALIDATION_FILE_INVALID

      Message: 'Please upload a file of the following types: {fileTypes}'
      See Also:
        `FileUpload`, Constant Field Values

    - #### VALIDATION_FILE_INVALID_SIZE

          public static final String VALIDATION_FILE_INVALID_SIZE

      Message: 'Please upload a file (max. {maxSize} {unit}) of the following types: {fileTypes}'
      See Also:
        `FileUpload`, Constant Field Values

    - #### VALIDATION_FILES_INVALID

          public static final String VALIDATION_FILES_INVALID

      Message: 'Please upload {minCount} to {maxCount} files of the following types: {fileTypes}'
      See Also:
        `FileUpload`, Constant Field Values

    - #### VALIDATION_FILES_INVALID_SIZE

          public static final String VALIDATION_FILES_INVALID_SIZE

      Message: 'Please upload {minCount} to {maxCount} files (max. {maxSize} {unit} each) of the following types: {fileTypes}'
      See Also:
        `FileUpload`, Constant Field Values

    - #### VALIDATION_NOT_NULL

          public static final String VALIDATION_NOT_NULL

      Message: 'Field must not be empty'
      See Also:
        `NotNull`, Constant Field Values

    - #### VALIDATION_MIN

          public static final String VALIDATION_MIN

      Message: 'Value must be greater than or equal to {value}'
      See Also:
        `Min`, Constant Field Values

    - #### VALIDATION_MAX

          public static final String VALIDATION_MAX

      Message: 'Value must be less than or equal to {value}'
      See Also:
        `Max`, Constant Field Values

    - #### VALIDATION_EMAIL

          public static final String VALIDATION_EMAIL

      Message: 'Please enter a valid e-mail address'
      See Also:
        Constant Field Values

Copyright © 2011–2023 aiticon GmbH. All rights reserved.